<?php
@set_time_limit(0);
ini_set('memory_limit', '-1');
@ini_set('max_execution_time', '0');
ini_set('display_errors', '1');
session_start();
ob_start();

include("vendor/autoload.php");

// Dosyadan link listesini al
$linklistesi = file('link.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

// İlk 50 satırı al
$url_datas = array_slice($linklistesi, 0, 10);

$js = "api.json";
$client = new Google_Client();
$client->setAuthConfig($js);
$client->setConfig('base_path', 'https://indexing.googleapis.com');
$client->addScope('https://www.googleapis.com/auth/indexing');

// Batch request.
$client->setUseBatch(true);
// init google batch and set root URL.
$service = new Google_Service_Indexing($client);
$batch   = new Google_Http_Batch($client, false, 'https://indexing.googleapis.com');

foreach ($url_datas as $i => $url) {
    $post_body = new Google_Service_Indexing_UrlNotification();
    $post_body->setType('URL_UPDATED');
    $post_body->setUrl($url);
    $request_part = $service->urlNotifications->publish($post_body);
    $batch->add($request_part, 'url-' . $i);
}

$results   = $batch->execute();
$data      = [];
$res_count = count($results);
foreach ($results as $id => $response) {
    $local_id = substr($id, 9);
    if (is_a($response, 'Google_Service_Exception')) {
        $data[$local_id] = json_decode($response->getMessage());
    } else {
        $data[$local_id] = (array) $response->toSimpleObject();
    }
    if ($res_count === 1) {
        $data = $data[$local_id];
    }
}

// İlk 50 satırı sil
file_put_contents('link.txt', implode("\n", array_slice($linklistesi, 10)));

print_r($data);

ob_end_flush();
?>
